{
  # network discovery, mDNS
  services.avahi = {
    enable = true;
    nssmdns4 = true;
    denyInterfaces = ["docker0" "veth*" "virbr*"];
    publish = {
      enable = true;
      domain = true;
      userServices = true;
    };
  };
}
